import React, { useState } from 'react'
import { Button } from '@tarojs/components'
import request, { apis } from '@/utils/request'
import Taro from '@tarojs/taro'
import { store, useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function GetUserIcon (props) {

  const { setUser } = store.getModel('user').getState()
  const { user } = useModel('user')
  const { Show = false, Close = () => { } } = props

  const ToGetUserIcon = (e) => { // 授权用户头像
    if (e.detail.userInfo !== undefined) {
      setUser({ ...user, avatarurl: e.detail.userInfo.avatarUrl, nickname: e.detail.userInfo.nickName })
      Taro.showToast({ title: '头像授权成功', icon: 'none' })
    } else {
      Taro.showToast({ title: '头像授权失败', icon: 'none' })
    }
    Close()
  }

  return (
    <view className='GetUserIcon' style={{ display: Show ? 'block' : 'none' }}>
      <view className='centerLabel'>
        <text>您暂未授权头像</text>
        <view className='flex-h'>
          <text className='flex-item' onClick={Close}>取消</text>
          <Button className='flex-item' open-type='getUserInfo' lang='zh_CN' ongetuserinfo={ToGetUserIcon}>去授权</Button>
        </view>
      </view>
    </view>
  )
}
