import React, { useState } from 'react'
import { Button } from '@tarojs/components'
import request, { apis } from '@/utils/request'
import Taro from '@tarojs/taro'
import { store, useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function GetUserPhone (props) {

  const { setUser } = store.getModel('user').getState()
  const { user } = useModel('user')
  const { Show = false, Close = () => { } } = props

  const ToGetUserPhone = (e) => { // 授权手机号
    Close()
    request({
      ...apis.getUserPhone,
      data: {
        sessionKey: Taro.getStorageSync('sessionKey'),
        encryptedData: e.detail.encryptedData,
        iv: e.detail.iv
      }
    }).then((res) => {
      setUser({ ...user, phone: res.phoneNumber })
      Taro.showToast({ title: '手机授权成功', icon: 'none' })
    }).catch(() => {
      Taro.showToast({ title: '手机授权失败', icon: 'none' })
    })
  }

  return (
    <view className='GetUserPhone' style={{display: Show ? 'block' : 'none'}}>
      <view className='centerLabel'>
        <text>您暂未授权手机号</text>
        <view className='flex-h'>
          <text className='flex-item' onClick={Close}>取消</text>
          <Button className='flex-item' open-type='getPhoneNumber' lang='zh_CN' onGetphonenumber={ToGetUserPhone}>去授权</Button>
        </view>
      </view>
    </view>
  )
}
