import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import NavHeader from '@/components/NavHeader/index'
import PrizeListItem from '@/components/PrizeListItem/index'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function FuLi (props) {

  const [PirzeList, setPirzeList] = useState(['', '', '', '', '', '', '', '', ''])
  const [IsPull, setIsPull] = useState(false)
  const [TestImg, setTestImg] = useState('https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1606120989360&di=8610f1678b51e26de6d4c6af39d1cf63&imgtype=0&src=http%3A%2F%2Fattachments.gfan.com%2Fforum%2F201503%2F19%2F211608ztcq7higicydxhsy.jpg')

  const OnRefresh = () => {
    setIsPull(true)
    window.setTimeout(() => {
      setIsPull(false)
    }, 1000)
  }

  return (
    <view className='FuLi flex-v'>
      <NavHeader BgColor='none' Title='福利' IsFixed={true}></NavHeader>

      {/* 顶部背景图 */}
      <view className='TopBg'>
        <image mode='aspectFill' src={null} class='centerLabel'></image>
      </view>

      {/* 正文 */}
      <view className='flex-item'>
        <view>
          <scroll-view scroll-y='true' style='height: 100%;' refresher-enabled={true} onrefresherrefresh={OnRefresh} refresher-triggered={IsPull} refresher-background='none'>
            <view className='FuLiContent'>

              {/* 用户面板 */}
              <view className='UserTab'>
                <view>
                  <view className='Info flex-h'>
                    <view className='Icon'>
                      <image mode='aspectFill' src={TestImg} class='centerLabel'></image>
                    </view>
                    <view className='flex-item'>
                      <text>三十而已</text>
                      <text>积分10</text>
                    </view>
                    <text className='active'>签到</text>
                  </view>
                  <view className='Rule flex-h'>
                    <view className='flex-item' onClick={() => { Taro.navigateTo({ url: '/pages/FuLi/JiFenGuiZe/index' }) }}>
                      <text className='iconfont iconjifen'></text>
                      <text>积分规则</text>
                    </view>
                    <view className='flex-item' onClick={() => { Taro.navigateTo({ url: '/pages/FuLi/JiFenMingXi/index' }) }}>
                      <text className='iconfont iconjifenguize'></text>
                      <text>积分明细</text>
                    </view>
                  </view>
                </view>
              </view>

              {/* 搜索框 */}
              <view className='SearchContainer'>
                <view>
                  <text className='iconfont iconsousuo'></text>
                  <text>附近热搜：火锅</text>
                </view>
              </view>

              {/* 积分礼品列表 */}
              <view className='PirzeList'>
                {
                  PirzeList.map((item, index) => (
                    <view key={`PirzeListItem-${index}`}>
                      <view>
                        <PrizeListItem></PrizeListItem>
                      </view>
                    </view>
                  ))
                }
              </view>

            </view>
          </scroll-view>
        </view>
      </view>

    </view>
  )
}
