const prefix = `${HOST}/api/wx`

const $api = {
  getJiaoFeiList: { // 获取缴费列表
    method: 'get',
    url: `${prefix}/bills/current_user/:type`
  },
  getGongDanList: { // 获取小区工单列表
    method: 'get',
    url: `${prefix}/tickets/list/:orgId`
  },
  getGongGaoList: { // 获取小区公告列表
    method: 'get',
    url: `${prefix}/announcements/:orgId`
  },
  getUserPhone: { // 获取用户手机号
    method: 'post',
    url: `${prefix}/userPhone`
  },
  getActivityList: { // 获取活动列表
    method: 'get',
    url: `${prefix}/buildingDynamiceList`
  },
  checkActivityJoin: { // 查询活动参加详情
    method: 'get',
    url: `${prefix}/buildingDynamiceEnlistInfo/:id`
  },
  getActivityDetail: { // 获取活动详情
    method: 'get',
    url: `${prefix}/buildingDynamiceInfo/:id`
  },
  JoinActivity: { // 参加活动
    method: 'post',
    url: `${prefix}/activityDynamicEnlistAdd`
  },
  getNewsList: { // 获取资讯列表
    method: 'get',
    url: `${prefix}/taNews`
  },
  getNewsDetail: { // 获取资讯详情
    method: 'get',
    url: `${prefix}/taNews/:id`
  },
  addNewsViews: { // 资讯阅读量+1
    method: 'put',
    url: `${prefix}/taNews/pvNum/:id`
  },
  getBanner: { // 获取轮播图
    method: 'get',
    url: `${prefix}/extendContent/banner`
  },
  login: { // 登录
    method: 'post',
    url: `${prefix}/login`
  },
  saveShareFrom: {
    method: 'post',
    url: `${prefix}/share-person`
  },
  saveTracking: { // 埋点
    method: 'post',
    url: `${prefix}/taPersonVisitRecord`
  },
  updateTracking: { // 更新埋点
    method: 'put',
    url: `${prefix}/taPersonVisitRecord/:id`
  }

}


export default $api